package cn.dankal.test.user;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * {@link SpringBootApplication,EnableDiscoveryClient}
 * User 服务启动类
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/18
 */
@EnableDiscoveryClient
@EnableFeignClients("cn.dankal.test")
@SpringBootApplication(scanBasePackages = {"cn.dankal.test"})
public class UserServiceApplication01 {

    public static void main(String[] args) {
        SpringApplication.run(UserServiceApplication01.class, args);
    }
}
