package cn.dankal.test.order.controller;

import cn.dankal.test.common.service.aspect.DoRequestLog;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.UUID;

/**
 * {@link RestController}
 * <p>
 * OrderController
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/10/18
 */
@Slf4j
@DoRequestLog
@RestController
@RequestMapping("/order")
public class OrderController {

    @GetMapping("/{userId}")
    public String getOrderId(@PathVariable("userId") Long userId) {
        log.info("order service  01 getOrderId: {}", userId);
        return "order service 01 " + userId + " --> " + UUID.randomUUID().toString().replace("-", "");
    }

    @GetMapping("/test/info")
    public String testGetSimpleInfo() {
        return UUID.randomUUID().toString().replace("-", "");
    }

}
